Loading...
Searching...
No Matches
AVFilterGraph Struct Reference
libavfilter

`#include <libavfilter/avfilter.h>`

## Data Fields

const AVClass * | av_class
AVFilterContext ** | filters
unsigned | nb_filters
char * | scale_sws_opts
| sws options to use for the auto-inserted scale filters
int | thread_type
| Type of multithreading allowed for filters in this graph.
int | nb_threads
| Maximum number of threads used by filters in this graph.
void * | opaque
| Opaque user data.
avfilter_execute_func * | execute
| This callback may be set by the caller immediately after allocating the graph and before adding any filters to it, to provide a custom multithreading implementation.
char * | aresample_swr_opts
| swr options to use for the auto-inserted aresample filters, Access ONLY through AVOptions
unsigned | max_buffered_frames
| Sets the maximum number of buffered frames in the filtergraph combined.

## Detailed Description

Examples
  decode_filter_audio.c, decode_filter_video.c, filter_audio.c, and transcode.c.

Definition at line 589 of file avfilter.h.

## Field Documentation

## av_class

const AVClass* AVFilterGraph::av_class

Definition at line 590 of file avfilter.h.

## filters

AVFilterContext** AVFilterGraph::filters

Definition at line 591 of file avfilter.h.

## nb_filters

unsigned AVFilterGraph::nb_filters

Definition at line 592 of file avfilter.h.

## scale_sws_opts

char* AVFilterGraph::scale_sws_opts

sws options to use for the auto-inserted scale filters

Definition at line 594 of file avfilter.h.

## thread_type

int AVFilterGraph::thread_type

Type of multithreading allowed for filters in this graph.

A combination of AVFILTER_THREAD_* flags.

May be set by the caller at any point, the setting will apply to all filters initialized after that. The default is allowing everything.

When a filter in this graph is initialized, this field is combined using bit AND with AVFilterContext.thread_type to get the final mask used for determining allowed threading types. I.e. a threading type needs to be set in both to be allowed.

Definition at line 608 of file avfilter.h.

## nb_threads

int AVFilterGraph::nb_threads

Maximum number of threads used by filters in this graph.

May be set by the caller before adding any filters to the filtergraph. Zero (the default) means that the number of threads is determined automatically.

Definition at line 615 of file avfilter.h.

## opaque

void* AVFilterGraph::opaque

Opaque user data.

May be set by the caller to an arbitrary value, e.g. to be used from callbacks like AVFilterGraph::execute. Libavfilter will not touch this field in any way.

Definition at line 622 of file avfilter.h.

## execute

avfilter_execute_func* AVFilterGraph::execute

This callback may be set by the caller immediately after allocating the graph and before adding any filters to it, to provide a custom multithreading implementation.

If set, filters with slice threading capability will call this callback to execute multiple jobs in parallel.

If this field is left unset, libavfilter will use its internal implementation, which may or may not be multithreaded depending on the platform and build options.

Definition at line 636 of file avfilter.h.

## aresample_swr_opts

char* AVFilterGraph::aresample_swr_opts

swr options to use for the auto-inserted aresample filters, Access ONLY through AVOptions

Definition at line 638 of file avfilter.h.

## max_buffered_frames

unsigned AVFilterGraph::max_buffered_frames

Sets the maximum number of buffered frames in the filtergraph combined.

Zero means no limit. This field must be set before calling avfilter_graph_config().

Definition at line 646 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h